package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * 权限组
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_PRIVILEGE_GROUP")
public class PrivilegeGroup extends JpaEntity {

	private static final long serialVersionUID = -3654724059677675683L;

	/**
	 * 权限组ID
	 */
	@Id
	@GeneratedValue
	private Long id;

	/**
	 * 权限组名称
	 */
	@Column(unique = true, nullable = false)
	private String name;

	/**
	 * 权限组编码
	 */
	@Column(unique = true, nullable = false)
	private String code;

	/**
	 * 应用
	 */
	@Column(unique = false, nullable = false)
	private String appId;

	/**
	 * 顶级机构ID
	 */
	@Column(unique = false, nullable = true)
	private Long rootOrgId;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

}
